TCompactConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TCompactConfig

- java.lang.Object
- - com.sleepycat.thrift.TCompactConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCompactConfig>, org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TCompactConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCompactConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TCompactConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `fillPercent`
    `boolean` | `freeListOnly`
    `boolean` | `freeSpace`
    `int` | `maxPages`
    `static java.util.Map<TCompactConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCompactConfig()`
    `TCompactConfig(TCompactConfig other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TCompactConfig other)`
    `TCompactConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TCompactConfig that)`
    `TCompactConfig._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TCompactConfig._Fields field)`
    `int` | `getFillPercent()`
    `int` | `getMaxPages()`
    `int` | `getTimeout()`
    `int` | `hashCode()`
    `boolean` | `isFreeListOnly()`
    `boolean` | `isFreeSpace()`
    `boolean` | `isSet(TCompactConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFillPercent()` Returns true if field fillPercent is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFreeListOnly()` Returns true if field freeListOnly is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFreeSpace()` Returns true if field freeSpace is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxPages()` Returns true if field maxPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTimeout()` Returns true if field timeout is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TCompactConfig._Fields field, java.lang.Object value)`
    `TCompactConfig` | `setFillPercent(int fillPercent)`
    `void` | `setFillPercentIsSet(boolean value)`
    `TCompactConfig` | `setFreeListOnly(boolean freeListOnly)`
    `void` | `setFreeListOnlyIsSet(boolean value)`
    `TCompactConfig` | `setFreeSpace(boolean freeSpace)`
    `void` | `setFreeSpaceIsSet(boolean value)`
    `TCompactConfig` | `setMaxPages(int maxPages)`
    `void` | `setMaxPagesIsSet(boolean value)`
    `TCompactConfig` | `setTimeout(int timeout)`
    `void` | `setTimeoutIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetFillPercent()`
    `void` | `unsetFreeListOnly()`
    `void` | `unsetFreeSpace()`
    `void` | `unsetMaxPages()`
    `void` | `unsetTimeout()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fillPercent

          public int fillPercent

    - #### freeListOnly

          public boolean freeListOnly

    - #### freeSpace

          public boolean freeSpace

    - #### maxPages

          public int maxPages

    - #### timeout

          public int timeout

    - #### metaDataMap

          public static final java.util.Map<TCompactConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TCompactConfig

          public TCompactConfig()

    - #### TCompactConfig

          public TCompactConfig(TCompactConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TCompactConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### getFillPercent

          public int getFillPercent()

    - #### setFillPercent

          public TCompactConfig setFillPercent(int fillPercent)

    - #### unsetFillPercent

          public void unsetFillPercent()

    - #### isSetFillPercent

          public boolean isSetFillPercent()

      Returns true if field fillPercent is set (has been assigned a value) and false otherwise

    - #### setFillPercentIsSet

          public void setFillPercentIsSet(boolean value)

    - #### isFreeListOnly

          public boolean isFreeListOnly()

    - #### setFreeListOnly

          public TCompactConfig setFreeListOnly(boolean freeListOnly)

    - #### unsetFreeListOnly

          public void unsetFreeListOnly()

    - #### isSetFreeListOnly

          public boolean isSetFreeListOnly()

      Returns true if field freeListOnly is set (has been assigned a value) and false otherwise

    - #### setFreeListOnlyIsSet

          public void setFreeListOnlyIsSet(boolean value)

    - #### isFreeSpace

          public boolean isFreeSpace()

    - #### setFreeSpace

          public TCompactConfig setFreeSpace(boolean freeSpace)

    - #### unsetFreeSpace

          public void unsetFreeSpace()

    - #### isSetFreeSpace

          public boolean isSetFreeSpace()

      Returns true if field freeSpace is set (has been assigned a value) and false otherwise

    - #### setFreeSpaceIsSet

          public void setFreeSpaceIsSet(boolean value)

    - #### getMaxPages

          public int getMaxPages()

    - #### setMaxPages

          public TCompactConfig setMaxPages(int maxPages)

    - #### unsetMaxPages

          public void unsetMaxPages()

    - #### isSetMaxPages

          public boolean isSetMaxPages()

      Returns true if field maxPages is set (has been assigned a value) and false otherwise

    - #### setMaxPagesIsSet

          public void setMaxPagesIsSet(boolean value)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public TCompactConfig setTimeout(int timeout)

    - #### unsetTimeout

          public void unsetTimeout()

    - #### isSetTimeout

          public boolean isSetTimeout()

      Returns true if field timeout is set (has been assigned a value) and false otherwise

    - #### setTimeoutIsSet

          public void setTimeoutIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TCompactConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TCompactConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### isSet

          public boolean isSet(TCompactConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TCompactConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TCompactConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TCompactConfig>`

    - #### fieldForId

          public TCompactConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TCompactConfig,TCompactConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.